org.apache.poi.hwpf.model

## Class GenericPropertyNode

- java.lang.Object
- - org.apache.poi.hwpf.model.PropertyNode<GenericPropertyNode>
  - - org.apache.poi.hwpf.model.GenericPropertyNode

- All Implemented Interfaces:
    java.lang.Comparable<GenericPropertyNode>, Duplicatable

      @Internal
      public final class GenericPropertyNode
      extends PropertyNode<GenericPropertyNode>

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwpf.model.PropertyNode

      `_buf, EndComparator, StartComparator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericPropertyNode(GenericPropertyNode other)`
    `GenericPropertyNode(int start, int end, byte[] buf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GenericPropertyNode` | `copy()`
    `byte[]` | `getBytes()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.poi.hwpf.model.PropertyNode

      `adjustForDelete, clone, compareTo, equals, getEnd, getStart, hashCode, limitsAreEqual, setEnd, setStart`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericPropertyNode

          public GenericPropertyNode(GenericPropertyNode other)

    - #### GenericPropertyNode

          public GenericPropertyNode(int start,
                                     int end,
                                     byte[] buf)

  - ### Method Detail

    - #### getBytes

          public byte[] getBytes()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### copy

          public GenericPropertyNode copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `PropertyNode<GenericPropertyNode>`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.